Skip to main content
PUT
/
autopilot
Enable or disable autopilot for a channel
curl --request PUT \
  --url https://api.open.cx/autopilot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "autopilot_enabled": true
}
'
import requests

url = "https://api.open.cx/autopilot"

payload = { "autopilot_enabled": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({autopilot_enabled: true})
};

fetch('https://api.open.cx/autopilot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "channels": [
    {
      "channel": "<string>",
      "autopilot_enabled": true
    }
  ]
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
channel
enum<string>
required

Channel to update: web, email, phone, whatsapp, slack, sms, instagram, messenger, api, web_voice

Available options:
web,
email,
phone,
whatsapp,
slack,
sms,
instagram,
messenger,
api,
web_voice
autopilot_enabled
boolean
required

Set true to enable autopilot, false to disable

ai_agent_version
enum<string>

AI agent version to use for this channel

Available options:
v1,
v2

Response

Default Response

channels
object[]
required